CVS kaffe (robilad): Reworked java compiler detection and test compilation

Kaffe CVS <[email protected]>
Newsgroups gmane.comp.java.vm.kaffe.general
Message-ID <[email protected]>
PatchSet 7604 
Date: 2007/12/09 20:46:49
Author: robilad
Branch: HEAD
Tag: (none) 
Log:
Reworked java compiler detection and test compilation

Members: 
	ChangeLog:1.5101->1.5102 
	Makefile.in:1.286->1.287 
	aclocal.m4:1.135->1.136 
	configure:1.601->1.602 
	configure.ac:1.273->1.274 
	config/Makefile.in:1.241->1.242 
	include/Makefile.am:1.138->1.139 
	include/Makefile.in:1.303->1.304 
	kaffe/Makefile.in:1.191->1.192 
	kaffe/jvmpi/Makefile.in:1.116->1.117 
	kaffe/kaffe/Makefile.in:1.215->1.216 
	kaffe/kaffeh/Makefile.in:1.196->1.197 
	kaffe/kaffevm/Makefile.in:1.265->1.266 
	kaffe/kaffevm/boehm-gc/Makefile.in:1.79->1.80 
	kaffe/kaffevm/gcj/Makefile.in:1.171->1.172 
	kaffe/kaffevm/intrp/Makefile.in:1.180->1.181 
	kaffe/kaffevm/jit/Makefile.in:1.190->1.191 
	kaffe/kaffevm/jit3/Makefile.in:1.160->1.161 
	kaffe/kaffevm/jni/Makefile.in:1.84->1.85 
	kaffe/kaffevm/kaffe-gc/Makefile.in:1.78->1.79 
	kaffe/kaffevm/systems/Makefile.in:1.180->1.181 
	kaffe/kaffevm/systems/beos-native/Makefile.in:1.171->1.172 
	kaffe/kaffevm/systems/drops-l4threads/Makefile.in:1.35->1.36 
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in:1.177->1.178 
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in:1.181->1.182 
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in:1.157->1.158 
	kaffe/kaffevm/verifier/Makefile.in:1.83->1.84 
	kaffe/man/Makefile.in:1.178->1.179 
	kaffe/scripts/Makefile.in:1.220->1.221 
	kaffe/scripts/bat/Makefile.in:1.171->1.172 
	kaffe/scripts/compat/Makefile.in:1.198->1.199 
	kaffe/xprof/Makefile.in:1.146->1.147 
	libraries/Makefile.in:1.174->1.175 
	libraries/clib/Makefile.in:1.195->1.196 
	libraries/clib/awt/Makefile.in:1.189->1.190 
	libraries/clib/awt/X/Makefile.in:1.184->1.185 
	libraries/clib/awt/nano-X/Makefile.in:1.56->1.57 
	libraries/clib/awt/qt/Makefile.in:1.137->1.138 
	libraries/clib/awt/xynth/Makefile.in:1.12->1.13 
	libraries/clib/management/Makefile.in:1.193->1.194 
	libraries/clib/math/Makefile.in:1.187->1.188 
	libraries/clib/security/Makefile.in:1.159->1.160 
	libraries/clib/sound/Makefile.in:1.83->1.84 
	libraries/clib/sound/alsa/Makefile.in:1.84->1.85 
	libraries/clib/sound/common/Makefile.in:1.83->1.84 
	libraries/clib/sound/esd/Makefile.in:1.84->1.85 
	libraries/clib/zip/Makefile.in:1.192->1.193 
	libraries/javalib/Makefile.in:1.583->1.584 
	libraries/javalib/awt-implementations/Makefile.in:1.68->1.69 
	libraries/javalib/awt-implementations/kaffe/Makefile.am:1.26->1.27 
	libraries/javalib/awt-implementations/kaffe/Makefile.in:1.88->1.89 
	libraries/javalib/dnsjava/Makefile.am:1.5->1.6 
	libraries/javalib/dnsjava/Makefile.in:1.14->1.15 
	libraries/javalib/gmp-math/Makefile.am:1.13->1.14 
	libraries/javalib/gmp-math/Makefile.in:1.77->1.78 
	libraries/javalib/gnu-inet/Makefile.am:1.3->1.4 
	libraries/javalib/gnu-inet/Makefile.in:1.11->1.12 
	libraries/javalib/tritonus-sound/Makefile.am:1.5->1.6 
	libraries/javalib/tritonus-sound/Makefile.in:1.14->1.15 
	libraries/javalib/vmspecific/Makefile.am:1.11->1.12 
	libraries/javalib/vmspecific/Makefile.in:1.18->1.19 
	libraries/javalib/zlib-zip/Makefile.am:1.6->1.7 
	libraries/javalib/zlib-zip/Makefile.in:1.14->1.15 
	m4/ac_prog_javac.m4:1.2->1.3 
	m4/ac_prog_javac_works.m4:1.2->1.3 
	m4/ac_try_compile_java.m4:INITIAL->1.1 
	replace/Makefile.in:1.133->1.134 
	test/Makefile.in:1.183->1.184 
	test/internal/Makefile.am:1.36->1.37 
	test/internal/Makefile.in:1.159->1.160 
	test/jni/Makefile.in:1.89->1.90 
	test/regression/CLTest.java:1.5->1.6 
	test/regression/CLTestConc.java:INITIAL->1.8 
	test/regression/CatchDeath.java:INITIAL->1.8 
	test/regression/Makefile.am:1.101->1.102 
	test/regression/Makefile.in:1.261->1.262 
	test/regression/ProcessClassLockTest.java:1.5->1.6 
	test/regression/ProcessClassStop.java:1.19->1.20 
	test/regression/TestCasts.java:1.4->1.5 
	test/regression/TestScript.in:1.54->1.55 
	test/regression/compile_time/CompileScript.in:1.5->1.6(DEAD) 
	test/regression/compile_time/Makefile.am:1.6->1.7 
	test/regression/compile_time/Makefile.in:1.111->1.112 
	test/regression/compiler/CompileScript.in:1.4->1.5(DEAD) 
	test/regression/compiler/Makefile.am:1.5->1.6 
	test/regression/compiler/Makefile.in:1.95->1.96 
	test/regression/run_time/CompileScript.in:1.4->1.5(DEAD) 
	test/regression/run_time/Makefile.am:1.5->1.6 
	test/regression/run_time/Makefile.in:1.110->1.111 
	tools/Makefile.in:1.85->1.86 
	tools/gjdoc/Makefile.in:1.84->1.85 
	tools/gjdoc/javalib/Makefile.am:1.27->1.28 
	tools/gjdoc/javalib/Makefile.in:1.102->1.103 
	tools/javatools/Makefile.am:1.6->1.7 
	tools/javatools/Makefile.in:1.41->1.42 

Index: kaffe/ChangeLog
diff -u kaffe/ChangeLog:1.5101 kaffe/ChangeLog:1.5102
--- kaffe/ChangeLog:1.5101	Sun Dec  9 03:02:30 2007
+++ kaffe/ChangeLog	Sun Dec  9 20:46:49 2007
@@ -1,4 +1,45 @@
-2007-12-09  Kiyo Inaba <[email protected]>
+2007-12-09  Dalibor Topic  <[email protected]>
+
+	* m4/ac_prog_javac.m4, m4/ac_prog_javac_works.m4, m4/ac_try_compile_java.m4: New files.
+	Added new Java programming language compiler checking code from ac-archive.sf.net. 
+
+	* test/regression/compile_time/CompileScript.in,
+	test/regression/compiler/CompileScript.in,
+	test/regression/run_time/CompileScript.in: Removed.
+
+	* tools/javatools/Makefile.am, 
+	tools/gjdoc/javalib/Makefile.am,
+	test/regression/run_time/Makefile.am,
+	test/regression/compiler/Makefile.am,
+	test/regression/compile_time/Makefile.am,
+	test/regression/Makefile.am,
+	test/internal/Makefile.am,
+	libraries/javalib/zlib-zip/Makefile.am,
+	libraries/javalib/vmspecific/Makefile.am,
+	libraries/javalib/tritonus-sound/Makefile.am,
+	libraries/javalib/gnu-inet/Makefile.am,
+	libraries/javalib/gmp-math/Makefile.am,
+	libraries/javalib/dnsjava/Makefile.am,
+	libraries/javalib/awt-implementations/kaffe/Makefile.am:
+	Simplified javac invocation.
+
+	* configure.ac: Simplified Javac detection. Removed GLIBJ_ZIP. 
+	Removed CompileScript.in files.
+
+	* include/Makefile.am: Use JAR files in KAFFEH_CLASSPATH.
+
+	* test/regression/CLTest.java, test/regression/CLTestConc.java,
+	test/regression/CatchDeath.java, test/regression/TestCasts.java: 
+	Removed javac flags for TestScript.
+
+	* test/regression/TestScript.in (compile): Removed. Compile all 
+	tests at once in Makefile.am.
+
+	* test/regression/ProcessClassStop.java, 
+	test/regression/ProcessClassLockTest.java: Adapted to ensure all
+	tests can be compiled at once.
+
+2007-12-09 Kiyo Inaba <[email protected]>
 
 	* kaffe/kaffevm/jit/machine.c: Fix syntax error.
 
Index: kaffe/Makefile.in
diff -u kaffe/Makefile.in:1.286 kaffe/Makefile.in:1.287
--- kaffe/Makefile.in:1.286	Sun Nov 11 21:56:34 2007
+++ kaffe/Makefile.in	Sun Dec  9 20:46:49 2007
@@ -57,6 +57,8 @@
 	scripts/missing scripts/mkinstalldirs
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/ac_c_bigendian_cross.m4 \
+	$(top_srcdir)/m4/ac_prog_javac.m4 \
+	$(top_srcdir)/m4/ac_prog_javac_works.m4 \
 	$(top_srcdir)/m4/acx_pthread.m4 $(top_srcdir)/m4/alsa.m4 \
 	$(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
 	$(top_srcdir)/m4/ax_cflags_warn_all.m4 \
@@ -174,7 +176,6 @@
 JAVAC = @JAVAC@
 JAVAC_FLAGS = @JAVAC_FLAGS@
 JAVA_LIBS = @JAVA_LIBS@
-JIKESPROG = @JIKESPROG@
 KAFFEH = @KAFFEH@
 KAFFE_ARCHOS = @KAFFE_ARCHOS@
 KAFFE_CCASFLAGS = @KAFFE_CCASFLAGS@
Index: kaffe/aclocal.m4
diff -u kaffe/aclocal.m4:1.135 kaffe/aclocal.m4:1.136
--- kaffe/aclocal.m4:1.135	Wed Jun 13 02:19:29 2007
+++ kaffe/aclocal.m4	Sun Dec  9 20:46:49 2007
@@ -957,6 +957,8 @@
 ]) # _AM_PROG_TAR
 
 m4_include([m4/ac_c_bigendian_cross.m4])
+m4_include([m4/ac_prog_javac.m4])
+m4_include([m4/ac_prog_javac_works.m4])
 m4_include([m4/acx_pthread.m4])
 m4_include([m4/alsa.m4])
 m4_include([m4/ax_cflags_gcc_option.m4])
Index: kaffe/configure
diff -u kaffe/configure:1.601 kaffe/configure:1.602
--- kaffe/configure:1.601	Sun Nov 11 21:56:34 2007
+++ kaffe/configure	Sun Dec  9 20:46:49 2007
@@ -959,7 +959,6 @@
 CLASSPATH_CLASSES
 CLASSPATH_LIBDIR
 GLIBJ_ZIP
-JIKESPROG
 JAVAC
 JAVA_LIBS
 with_engine
@@ -1749,10 +1748,6 @@
   --with-classpath-includedir=<dir>
                           installation directory of Java core library headers
                           [default=/usr/local/classpath/include]
-  --with-ecj=ECJ          Define to use ECJ as the java compiler instead of
-                          jikes
-  --with-jikes<=JIKES>    Define to use jikes compiler [default=yes]. If yes,
-                          use jikes +Pno-switchcheck +Pno-shadow +E
   --with-libffi           Use libffi for sysdepCallMethod
   --without-gmp           don't use GNU multiple precision arithmetic library
   --with-gc=GC            Force use given execution engine (kaffe-gc or
@@ -7140,7 +7135,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 7143 "configure"' > conftest.$ac_ext
+  echo '#line 7138 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -9704,11 +9699,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9707: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9702: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:9711: \$? = $ac_status" >&5
+   echo "$as_me:9706: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -9994,11 +9989,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9997: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9992: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:10001: \$? = $ac_status" >&5
+   echo "$as_me:9996: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -10098,11 +10093,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10101: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10096: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:10105: \$? = $ac_status" >&5
+   echo "$as_me:10100: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12447,7 +12442,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12450 "configure"
+#line 12445 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12547,7 +12542,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12550 "configure"
+#line 12545 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -14971,11 +14966,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14974: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14969: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14978: \$? = $ac_status" >&5
+   echo "$as_me:14973: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -15075,11 +15070,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15078: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15073: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15082: \$? = $ac_status" >&5
+   echo "$as_me:15077: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16637,11 +16632,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16640: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16635: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16644: \$? = $ac_status" >&5
+   echo "$as_me:16639: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16741,11 +16736,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16744: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16739: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16748: \$? = $ac_status" >&5
+   echo "$as_me:16743: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -18932,11 +18927,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:18935: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:18930: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:18939: \$? = $ac_status" >&5
+   echo "$as_me:18934: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -19222,11 +19217,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:19225: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:19220: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:19229: \$? = $ac_status" >&5
+   echo "$as_me:19224: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -19326,11 +19321,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:19329: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:19324: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:19333: \$? = $ac_status" >&5
+   echo "$as_me:19328: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -25992,42 +25987,36 @@
 echo "${ECHO_T}${CLASSPATH_INCLUDEDIR}" >&6; }
 
 
-GLIBJ_ZIP=${CLASSPATH_CLASSES};
-
-
-
-
-
-
-# Check whether --with-ecj was given.
-if test "${with_ecj+set}" = set; then
-  withval=$with_ecj;
-            if test x"$withval" = x"yes" ; then
-              JAVAC="ecj"
-            else
-              JAVAC="$withval"
-            fi
-	    use_ecj=yes
+{ echo "$as_me:$LINENO: checking if class library exists and is readable at ${CLASSPATH_CLASSES}" >&5
+echo $ECHO_N "checking if class library exists and is readable at ${CLASSPATH_CLASSES}... $ECHO_C" >&6; }
+if test -r ${CLASSPATH_CLASSES} ; then
+   { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
 else
-  use_ecj=no
+   { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+   { { echo "$as_me:$LINENO: error: Couldn't find readable class library at ${CLASSPATH_CLASSES}" >&5
+echo "$as_me: error: Couldn't find readable class library at ${CLASSPATH_CLASSES}" >&2;}
+   { (exit 1); exit 1; }; }
 fi
 
+GLIBJ_ZIP=${CLASSPATH_CLASSES}
 
-{ echo "$as_me:$LINENO: checking whether to use ecj" >&5
-echo $ECHO_N "checking whether to use ecj... $ECHO_C" >&6; }
-{ echo "$as_me:$LINENO: result: $use_ecj" >&5
-echo "${ECHO_T}$use_ecj" >&6; }
 
+JAVACFLAGS="-classpath ${CLASSPATH_CLASSES}"
 
-# Extract the first word of "jikes", so it can be a program name with args.
-set dummy jikes; ac_word=$2
+if test "x$JAVAPREFIX" = x; then
+        test "x$JAVAC" = x && for ac_prog in jikes$EXEEXT ecj$EXEEXT javac$EXEEXT "gcj$EXEEXT -C"
+do
+  # Extract the first word of "$ac_prog", so it can be a program name with args.
+set dummy $ac_prog; ac_word=$2
 { echo "$as_me:$LINENO: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
-if test "${ac_cv_prog_JIKESPROG+set}" = set; then
+if test "${ac_cv_prog_JAVAC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  if test -n "$JIKESPROG"; then
-  ac_cv_prog_JIKESPROG="$JIKESPROG" # Let the user override the test.
+  if test -n "$JAVAC"; then
+  ac_cv_prog_JAVAC="$JAVAC" # Let the user override the test.
 else
 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
@@ -26036,7 +26025,7 @@
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_prog_JIKESPROG="jikes"
+    ac_cv_prog_JAVAC="$ac_prog"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
@@ -26046,65 +26035,100 @@
 
 fi
 fi
-JIKESPROG=$ac_cv_prog_JIKESPROG
-if test -n "$JIKESPROG"; then
-  { echo "$as_me:$LINENO: result: $JIKESPROG" >&5
-echo "${ECHO_T}$JIKESPROG" >&6; }
+JAVAC=$ac_cv_prog_JAVAC
+if test -n "$JAVAC"; then
+  { echo "$as_me:$LINENO: result: $JAVAC" >&5
+echo "${ECHO_T}$JAVAC" >&6; }
 else
   { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
 fi
 
 
+  test -n "$JAVAC" && break
+done
 
-{ echo "$as_me:$LINENO: checking whether to use jikes" >&5
-echo $ECHO_N "checking whether to use jikes... $ECHO_C" >&6; }
+else
+        test "x$JAVAC" = x && for ac_prog in jikes$EXEEXT ecj$EXEEXT javac$EXEEXT "gcj$EXEEXT -C"
+do
+  # Extract the first word of "$ac_prog", so it can be a program name with args.
+set dummy $ac_prog; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_JAVAC+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$JAVAC"; then
+  ac_cv_prog_JAVAC="$JAVAC" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_JAVAC="$ac_prog"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
 
-# Check whether --with-jikes was given.
-if test "${with_jikes+set}" = set; then
-  withval=$with_jikes;
-          if test x"$withval" = x"yes" ; then
-            JIKESPROG="jikes"
-          else
-            JIKESPROG="$withval"
-          fi
-	 use_jikes="yes"
+fi
+fi
+JAVAC=$ac_cv_prog_JAVAC
+if test -n "$JAVAC"; then
+  { echo "$as_me:$LINENO: result: $JAVAC" >&5
+echo "${ECHO_T}$JAVAC" >&6; }
 else
-  use_jikes="no"
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
-{ echo "$as_me:$LINENO: result: $use_jikes" >&5
-echo "${ECHO_T}$use_jikes" >&6; }
 
-if test x"$use_ecj" = x"no" ; then
-  if test x"$use_jikes" = x"no"; then
-	use_jikes="yes";
-	{ echo "$as_me:$LINENO: No java compiler selected, picking jikes." >&5
-echo "$as_me: No java compiler selected, picking jikes." >&6;}
-  fi
-fi
+  test -n "$JAVAC" && break
+done
+test -n "$JAVAC" || JAVAC="$JAVAPREFIX"
 
-case $use_jikes in
-yes)
-	if test x"$JIKESPROG" = x"" ; then
-	  { { echo "$as_me:$LINENO: error: No jikes compiler found. Please install jikes version 1.21 or higher." >&5
-echo "$as_me: error: No jikes compiler found. Please install jikes version 1.21 or higher." >&2;}
+fi
+test "x$JAVAC" = x && { { echo "$as_me:$LINENO: error: no acceptable Java compiler found in \$PATH" >&5
+echo "$as_me: error: no acceptable Java compiler found in \$PATH" >&2;}
    { (exit 1); exit 1; }; }
-	fi
-	JAVAC="$JIKESPROG +Pno-switchcheck +Pno-shadow +E"
-esac
 
+{ echo "$as_me:$LINENO: checking if $JAVAC works" >&5
+echo $ECHO_N "checking if $JAVAC works... $ECHO_C" >&6; }
+if test "${ac_cv_prog_javac_works+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
 
-if test x"$use_ecj" = x"yes" -a x"$use_jikes" = x"yes"; then
-	{ { echo "$as_me:$LINENO: error: You can not chose jikes and ecj at the same time." >&5
-echo "$as_me: error: You can not chose jikes and ecj at the same time." >&2;}
+JAVA_TEST=Test.java
+CLASS_TEST=Test.class
+cat << \EOF > $JAVA_TEST
+/* #line 26109 "configure" */
+public class Test {
+}
+EOF
+if { ac_try='$JAVAC $JAVACFLAGS $JAVA_TEST'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } >/dev/null 2>&1; then
+  ac_cv_prog_javac_works=yes
+else
+  { { echo "$as_me:$LINENO: error: The Java compiler $JAVAC failed (see config.log, check the CLASSPATH?)" >&5
+echo "$as_me: error: The Java compiler $JAVAC failed (see config.log, check the CLASSPATH?)" >&2;}
    { (exit 1); exit 1; }; }
+  echo "configure: failed program was:" >&5
+  cat $JAVA_TEST >&5
 fi
+rm -f $JAVA_TEST $CLASS_TEST
 
-{ echo "$as_me:$LINENO: checking which java compiler" >&5
-echo $ECHO_N "checking which java compiler... $ECHO_C" >&6; }
-{ echo "$as_me:$LINENO: result: $JAVAC" >&5
-echo "${ECHO_T}$JAVAC" >&6; }
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_prog_javac_works" >&5
+echo "${ECHO_T}$ac_cv_prog_javac_works" >&6; }
 
 
 
@@ -47942,16 +47966,10 @@
 
 ac_config_files="$ac_config_files test/regression/compile_time/Makefile"
 
-ac_config_files="$ac_config_files test/regression/compile_time/CompileScript"
-
 ac_config_files="$ac_config_files test/regression/compiler/Makefile"
 
-ac_config_files="$ac_config_files test/regression/compiler/CompileScript"
-
 ac_config_files="$ac_config_files test/regression/run_time/Makefile"
 
-ac_config_files="$ac_config_files test/regression/run_time/CompileScript"
-
 ac_config_files="$ac_config_files test/jni/Makefile"
 
 
@@ -48893,11 +48911,8 @@
     "test/regression/Makefile") CONFIG_FILES="$CONFIG_FILES test/regression/Makefile" ;;
     "test/regression/TestScript") CONFIG_FILES="$CONFIG_FILES test/regression/TestScript" ;;
     "test/regression/compile_time/Makefile") CONFIG_FILES="$CONFIG_FILES test/regression/compile_time/Makefile" ;;
-    "test/regression/compile_time/CompileScript") CONFIG_FILES="$CONFIG_FILES test/regression/compile_time/CompileScript" ;;
     "test/regression/compiler/Makefile") CONFIG_FILES="$CONFIG_FILES test/regression/compiler/Makefile" ;;
-    "test/regression/compiler/CompileScript") CONFIG_FILES="$CONFIG_FILES test/regression/compiler/CompileScript" ;;
     "test/regression/run_time/Makefile") CONFIG_FILES="$CONFIG_FILES test/regression/run_time/Makefile" ;;
-    "test/regression/run_time/CompileScript") CONFIG_FILES="$CONFIG_FILES test/regression/run_time/CompileScript" ;;
     "test/jni/Makefile") CONFIG_FILES="$CONFIG_FILES test/jni/Makefile" ;;
     "kaffe/kaffeh/constants.c") CONFIG_LINKS="$CONFIG_LINKS kaffe/kaffeh/constants.c:kaffe/kaffevm/constants.c" ;;
     "kaffe/kaffeh/debug.c") CONFIG_LINKS="$CONFIG_LINKS kaffe/kaffeh/debug.c:kaffe/kaffevm/debug.c" ;;
@@ -49207,7 +49222,6 @@
 CLASSPATH_CLASSES!$CLASSPATH_CLASSES$ac_delim
 CLASSPATH_LIBDIR!$CLASSPATH_LIBDIR$ac_delim
 GLIBJ_ZIP!$GLIBJ_ZIP$ac_delim
-JIKESPROG!$JIKESPROG$ac_delim
 JAVAC!$JAVAC$ac_delim
 JAVA_LIBS!$JAVA_LIBS$ac_delim
 with_engine!$with_engine$ac_delim
@@ -49222,6 +49236,7 @@
 HAVE_MKTEMP_FALSE!$HAVE_MKTEMP_FALSE$ac_delim
 HAVE_JASMIN_TRUE!$HAVE_JASMIN_TRUE$ac_delim
 HAVE_JASMIN_FALSE!$HAVE_JASMIN_FALSE$ac_delim
+KAFFE_LIBS!$KAFFE_LIBS$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -49263,7 +49278,6 @@
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
-KAFFE_LIBS!$KAFFE_LIBS$ac_delim
 M_LIBS!$M_LIBS$ac_delim
 NET_LIBS!$NET_LIBS$ac_delim
 ZIP_LIBS!$ZIP_LIBS$ac_delim
@@ -49351,7 +49365,7 @@
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 86; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 85; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
Index: kaffe/configure.ac
diff -u kaffe/configure.ac:1.273 kaffe/configure.ac:1.274
--- kaffe/configure.ac:1.273	Sun Nov 11 21:56:35 2007
+++ kaffe/configure.ac	Sun Dec  9 20:46:50 2007
@@ -714,77 +714,19 @@
 AC_CHECK_WITH_CLASSPATH_LIBDIR
 AC_CHECK_WITH_CLASSPATH_INCLUDEDIR
 
-GLIBJ_ZIP=${CLASSPATH_CLASSES};
-
-AC_SUBST(GLIBJ_ZIP)
-
-dnl =========================================================================
-dnl Use ecj
-dnl =========================================================================
-
-
-AC_ARG_WITH([ecj],
-	    AS_HELP_STRING([--with-ecj=ECJ],
-			   [Define to use ECJ as the java compiler instead of jikes]),
-	   [
-            if test x"$withval" = x"yes" ; then
-              JAVAC="ecj" 
-            else 
-              JAVAC="$withval" 
-            fi
-	    use_ecj=yes],
-	   [use_ecj=no])
-
-AC_MSG_CHECKING([whether to use ecj])
-AC_MSG_RESULT($use_ecj)
-
-dnl =========================================================================
-dnl Use jikes
-dnl =========================================================================
-
-AC_CHECK_PROG(JIKESPROG, jikes, jikes)
-
-AC_MSG_CHECKING([whether to use jikes])
-AC_ARG_WITH([jikes],
-            AS_HELP_STRING([--with-jikes<=JIKES>],
-                           [Define to use jikes compiler @<:@default=yes@:>@.  If yes, use jikes +Pno-switchcheck +Pno-shadow +E]),
-	[
-          if test x"$withval" = x"yes" ; then
-            JIKESPROG="jikes" 
-          else 
-            JIKESPROG="$withval" 
-          fi
-	 use_jikes="yes"],
-	[use_jikes="no"])
-AC_MSG_RESULT($use_jikes)
-
-if test x"$use_ecj" = x"no" ; then 
-  if test x"$use_jikes" = x"no"; then
-	use_jikes="yes";
-	AC_MSG_NOTICE([No java compiler selected, picking jikes.])
-  fi
+AC_MSG_CHECKING([if class library exists and is readable at ${CLASSPATH_CLASSES}])
+if test -r ${CLASSPATH_CLASSES} ; then
+   AC_MSG_RESULT([yes])
+else 
+   AC_MSG_RESULT([no])
+   AC_MSG_ERROR([Couldn't find readable class library at ${CLASSPATH_CLASSES}])
 fi
+   
+GLIBJ_ZIP=${CLASSPATH_CLASSES}
+AC_SUBST(GLIBJ_ZIP)
 
-case $use_jikes in
-yes)
-	if test x"$JIKESPROG" = x"" ; then
-	  AC_MSG_ERROR([No jikes compiler found. Please install jikes version 1.21 or higher.])
-	fi
-	JAVAC="$JIKESPROG +Pno-switchcheck +Pno-shadow +E"
-esac
-
-dnl =========================================================================
-dnl Set the java compiler variable.
-dnl =========================================================================
-
-if test x"$use_ecj" = x"yes" -a x"$use_jikes" = x"yes"; then
-	AC_MSG_ERROR([You can not chose jikes and ecj at the same time.])
-fi
-
-AC_MSG_CHECKING([which java compiler])
-AC_MSG_RESULT($JAVAC)
-
-AC_SUBST(JAVAC)
+JAVACFLAGS="-classpath ${CLASSPATH_CLASSES}"
+AC_PROG_JAVAC
 
 dnl =========================================================================
 dnl Look for trampoline code if in JIT mode
@@ -2391,11 +2333,8 @@
 AC_CONFIG_FILES([test/regression/Makefile])
 AC_CONFIG_FILES([test/regression/TestScript])
 AC_CONFIG_FILES([test/regression/compile_time/Makefile])
-AC_CONFIG_FILES([test/regression/compile_time/CompileScript])
 AC_CONFIG_FILES([test/regression/compiler/Makefile])
-AC_CONFIG_FILES([test/regression/compiler/CompileScript])
 AC_CONFIG_FILES([test/regression/run_time/Makefile])
-AC_CONFIG_FILES([test/regression/run_time/CompileScript])
 AC_CONFIG_FILES([test/jni/Makefile])
 
 AC_CONFIG_LINKS([kaffe/kaffeh/constants.c:kaffe/kaffevm/constants.c])
Index: kaffe/config/Makefile.in
diff -u kaffe/config/Makefile.in:1.241 kaffe/config/Makefile.in:1.242
--- kaffe/config/Makefile.in:1.241	Sun Nov 11 21:56:35 2007
+++ kaffe/config/Makefile.in	Sun Dec  9 20:46:52 2007
@@ -48,6 +48,8 @@
 	$(srcdir)/Makefile.in $(srcdir)/config.h.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/ac_c_bigendian_cross.m4 \
+	$(top_srcdir)/m4/ac_prog_javac.m4 \
+	$(top_srcdir)/m4/ac_prog_javac_works.m4 \
 	$(top_srcdir)/m4/acx_pthread.m4 $(top_srcdir)/m4/alsa.m4 \
 	$(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
 	$(top_srcdir)/m4/ax_cflags_warn_all.m4 \
@@ -144,7 +146,6 @@
 JAVAC = @JAVAC@
 JAVAC_FLAGS = @JAVAC_FLAGS@
 JAVA_LIBS = @JAVA_LIBS@
-JIKESPROG = @JIKESPROG@
 KAFFEH = @KAFFEH@
 KAFFE_ARCHOS = @KAFFE_ARCHOS@
 KAFFE_CCASFLAGS = @KAFFE_CCASFLAGS@
Index: kaffe/include/Makefile.am
diff -u kaffe/include/Makefile.am:1.138 kaffe/include/Makefile.am:1.139
--- kaffe/include/Makefile.am:1.138	Wed Oct 24 18:20:45 2007
+++ kaffe/include/Makefile.am	Sun Dec  9 20:46:52 2007
@@ -10,7 +10,7 @@
 # See the file "license.terms" for information on usage and redistribution 
 # of this file. 
 
-KAFFEH_CLASSPATH = $(top_builddir)/libraries/javalib/vmspecific/kaffe-vminterface.jar:$(top_builddir)/libraries/javalib/zlib-zip/lib:$(top_builddir)/libraries/javalib/tritonus-sound/lib:$(top_builddir)/libraries/javalib/gmp-math/lib:$(GLIBJ_ZIP)
+KAFFEH_CLASSPATH = $(top_builddir)/libraries/javalib/vmspecific/kaffe-vminterface.jar:$(top_builddir)/libraries/javalib/zlib-zip/kaffe-zlib.jar:$(top_builddir)/libraries/javalib/tritonus-sound/kaffe-tritonus.jar:$(top_builddir)/libraries/javalib/gmp-math/gmpjavamath.jar:$(GLIBJ_ZIP)
 
 EXTRA_DIST = distclean-hack \
 		stamp-h2.in
Index: kaffe/include/Makefile.in
diff -u kaffe/include/Makefile.in:1.303 kaffe/include/Makefile.in:1.304
--- kaffe/include/Makefile.in:1.303	Sun Nov 11 21:56:35 2007
+++ kaffe/include/Makefile.in	Sun Dec  9 20:46:53 2007
@@ -50,6 +50,8 @@
 	$(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/ac_c_bigendian_cross.m4 \
+	$(top_srcdir)/m4/ac_prog_javac.m4 \
+	$(top_srcdir)/m4/ac_prog_javac_works.m4 \
 	$(top_srcdir)/m4/acx_pthread.m4 $(top_srcdir)/m4/alsa.m4 \
 	$(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
 	$(top_srcdir)/m4/ax_cflags_warn_all.m4 \
@@ -159,7 +161,6 @@
 JAVAC = @JAVAC@
 JAVAC_FLAGS = @JAVAC_FLAGS@
 JAVA_LIBS = @JAVA_LIBS@
-JIKESPROG = @JIKESPROG@
 KAFFEH = @KAFFEH@
 KAFFE_ARCHOS = @KAFFE_ARCHOS@
 KAFFE_CCASFLAGS = @KAFFE_CCASFLAGS@
@@ -304,7 +305,7 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 with_engine = @with_engine@
-KAFFEH_CLASSPATH = $(top_builddir)/libraries/javalib/vmspecific/kaffe-vminterface.jar:$(top_builddir)/libraries/javalib/zlib-zip/lib:$(top_builddir)/libraries/javalib/tritonus-sound/lib:$(top_builddir)/libraries/javalib/gmp-math/lib:$(GLIBJ_ZIP)
+KAFFEH_CLASSPATH = $(top_builddir)/libraries/javalib/vmspecific/kaffe-vminterface.jar:$(top_builddir)/libraries/javalib/zlib-zip/kaffe-zlib.jar:$(top_builddir)/libraries/javalib/tritonus-sound/kaffe-tritonus.jar:$(top_builddir)/libraries/javalib/gmp-math/gmpjavamath.jar:$(GLIBJ_ZIP)
 EXTRA_DIST = distclean-hack \
 		stamp-h2.in
 
Index: kaffe/kaffe/Makefile.in
diff -u kaffe/kaffe/Makefile.in:1.191 kaffe/kaffe/Makefile.in:1.192
--- kaffe/kaffe/Makefile.in:1.191	Sun Nov 11 21:56:35 2007
+++ kaffe/kaffe/Makefile.in	Sun Dec  9 20:46:53 2007
@@ -43,6 +43,8 @@
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/ac_c_bigendian_cross.m4 \
+	$(top_srcdir)/m4/ac_prog_javac.m4 \
+	$(top_srcdir)/m4/ac_prog_javac_works.m4 \
 	$(top_srcdir)/m4/acx_pthread.m4 $(top_srcdir)/m4/alsa.m4 \
 	$(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
 	$(top_srcdir)/m4/ax_cflags_warn_all.m4 \
@@ -148,7 +150,6 @@
 JAVAC = @JAVAC@
 JAVAC_FLAGS = @JAVAC_FLAGS@
 JAVA_LIBS = @JAVA_LIBS@
-JIKESPROG = @JIKESPROG@
 KAFFEH = @KAFFEH@
 KAFFE_ARCHOS = @KAFFE_ARCHOS@
 KAFFE_CCASFLAGS = @KAFFE_CCASFLAGS@
Index: kaffe/kaffe/jvmpi/Makefile.in
diff -u kaffe/kaffe/jvmpi/Makefile.in:1.116 kaffe/kaffe/jvmpi/Makefile.in:1.117
--- kaffe/kaffe/jvmpi/Makefile.in:1.116	Sun Nov 11 21:56:35 2007
+++ kaffe/kaffe/jvmpi/Makefile.in	Sun Dec  9 20:46:54 2007
@@ -36,6 +36,8 @@
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/ac_c_bigendian_cross.m4 \
+	$(top_srcdir)/m4/ac_prog_javac.m4 \
+	$(top_srcdir)/m4/ac_prog_javac_works.m4 \
 	$(top_srcdir)/m4/acx_pthread.m4 $(top_srcdir)/m4/alsa.m4 \
 	$(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
 	$(top_srcdir)/m4/ax_cflags_warn_all.m4 \
@@ -159,7 +161,6 @@
 JAVAC = @JAVAC@
 JAVAC_FLAGS = @JAVAC_FLAGS@
 JAVA_LIBS = @JAVA_LIBS@
-JIKESPROG = @JIKESPROG@
 KAFFEH = @KAFFEH@
 KAFFE_ARCHOS = @KAFFE_ARCHOS@
 KAFFE_CCASFLAGS = @KAFFE_CCASFLAGS@
Index: kaffe/kaffe/kaffe/Makefile.in
diff -u kaffe/kaffe/kaffe/Makefile.in:1.215 kaffe/kaffe/kaffe/Makefile.in:1.216
--- kaffe/kaffe/kaffe/Makefile.in:1.215	Sun Nov 11 21:56:35 2007
+++ kaffe/kaffe/kaffe/Makefile.in	Sun Dec  9 20:46:54 2007
@@ -45,6 +45,8 @@
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/ac_c_bigendian_cross.m4 \
+	$(top_srcdir)/m4/ac_prog_javac.m4 \
+	$(top_srcdir)/m4/ac_prog_javac_works.m4 \
 	$(top_srcdir)/m4/acx_pthread.m4 $(top_srcdir)/m4/alsa.m4 \
 	$(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
 	$(top_srcdir)/m4/ax_cflags_warn_all.m4 \
@@ -160,7 +162,6 @@
 JAVAC = @JAVAC@
 JAVAC_FLAGS = @JAVAC_FLAGS@
 JAVA_LIBS = @JAVA_LIBS@
-JIKESPROG = @JIKESPROG@
 KAFFEH = @KAFFEH@
 KAFFE_ARCHOS = @KAFFE_ARCHOS@
 KAFFE_CCASFLAGS = @KAFFE_CCASFLAGS@
Index: kaffe/kaffe/kaffeh/Makefile.in
diff -u kaffe/kaffe/kaffeh/Makefile.in:1.196 kaffe/kaffe/kaffeh/Makefile.in:1.197
--- kaffe/kaffe/kaffeh/Makefile.in:1.196	Sun Nov 11 21:56:36 2007
+++ kaffe/kaffe/kaffeh/Makefile.in	Sun Dec  9 20:46:55 2007
@@ -47,6 +47,8 @@
 	$(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/ac_c_bigendian_cross.m4 \
+	$(top_srcdir)/m4/ac_prog_javac.m4 \
+	$(top_srcdir)/m4/ac_prog_javac_works.m4 \
 	$(top_srcdir)/m4/acx_pthread.m4 $(top_srcdir)/m4/alsa.m4 \
 	$(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
 	$(top_srcdir)/m4/ax_cflags_warn_all.m4 \
@@ -166,7 +168,6 @@
 JAVAC = @JAVAC@
 JAVAC_FLAGS = @JAVAC_FLAGS@
 JAVA_LIBS = @JAVA_LIBS@
-JIKESPROG = @JIKESPROG@
 KAFFEH = @KAFFEH@
 KAFFE_ARCHOS = @KAFFE_ARCHOS@
 KAFFE_CCASFLAGS = @KAFFE_CCASFLAGS@
Index: kaffe/kaffe/kaffevm/Makefile.in
diff -u kaffe/kaffe/kaffevm/Makefile.in:1.265 kaffe/kaffe/kaffevm/Makefile.in:1.266
--- kaffe/kaffe/kaffevm/Makefile.in:1.265	Sun Nov 11 21:56:36 2007
+++ kaffe/kaffe/kaffevm/Makefile.in	Sun Dec  9 20:46:56 2007
@@ -51,6 +51,8 @@
 	$(srcdir)/jar.c $(srcdir)/readClass.c $(srcdir)/utf8const.c
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/ac_c_bigendian_cross.m4 \
+	$(top_srcdir)/m4/ac_prog_javac.m4 \
+	$(top_srcdir)/m4/ac_prog_javac_works.m4 \
 	$(top_srcdir)/m4/acx_pthread.m4 $(top_srcdir)/m4/alsa.m4 \
 	$(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
 	$(top_srcdir)/m4/ax_cflags_warn_all.m4 \
@@ -222,7 +224,6 @@
 JAVAC = @JAVAC@
 JAVAC_FLAGS = @JAVAC_FLAGS@
 JAVA_LIBS = @JAVA_LIBS@
-JIKESPROG = @JIKESPROG@
 KAFFEH = @KAFFEH@
 KAFFE_ARCHOS = @KAFFE_ARCHOS@
 KAFFE_CCASFLAGS = @KAFFE_CCASFLAGS@
Index: kaffe/kaffe/kaffevm/boehm-gc/Makefile.in
diff -u kaffe/kaffe/kaffevm/boehm-gc/Makefile.in:1.79 kaffe/kaffe/kaffevm/boehm-gc/Makefile.in:1.80
--- kaffe/kaffe/kaffevm/boehm-gc/Makefile.in:1.79	Sun Nov 11 21:56:39 2007
+++ kaffe/kaffe/kaffevm/boehm-gc/Makefile.in	Sun Dec  9 20:46:57 2007
@@ -44,6 +44,8 @@
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/ac_c_bigendian_cross.m4 \
+	$(top_srcdir)/m4/ac_prog_javac.m4 \
+	$(top_srcdir)/m4/ac_prog_javac_works.m4 \
 	$(top_srcdir)/m4/acx_pthread.m4 $(top_srcdir)/m4/alsa.m4 \
 	$(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
 	$(top_srcdir)/m4/ax_cflags_warn_all.m4 \
@@ -165,7 +167,6 @@
 JAVAC = @JAVAC@
 JAVAC_FLAGS = @JAVAC_FLAGS@
 JAVA_LIBS = @JAVA_LIBS@
-JIKESPROG = @JIKESPROG@
 KAFFEH = @KAFFEH@
 KAFFE_ARCHOS = @KAFFE_ARCHOS@
 KAFFE_CCASFLAGS = @KAFFE_CCASFLAGS@
Index: kaffe/kaffe/kaffevm/gcj/Makefile.in
diff -u kaffe/kaffe/kaffevm/gcj/Makefile.in:1.171 kaffe/kaffe/kaffevm/gcj/Makefile.in:1.172
--- kaffe/kaffe/kaffevm/gcj/Makefile.in:1.171	Sun Nov 11 21:56:39 2007
+++ kaffe/kaffe/kaffevm/gcj/Makefile.in	Sun Dec  9 20:46:57 2007
@@ -44,6 +44,8 @@
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/ac_c_bigendian_cross.m4 \
+	$(top_srcdir)/m4/ac_prog_javac.m4 \
+	$(top_srcdir)/m4/ac_prog_javac_works.m4 \
 	$(top_srcdir)/m4/acx_pthread.m4 $(top_srcdir)/m4/alsa.m4 \
 	$(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
 	$(top_srcdir)/m4/ax_cflags_warn_all.m4 \
@@ -165,7 +167,6 @@
 JAVAC = @JAVAC@
 JAVAC_FLAGS = @JAVAC_FLAGS@
 JAVA_LIBS = @JAVA_LIBS@
-JIKESPROG = @JIKESPROG@
 KAFFEH = @KAFFEH@
 KAFFE_ARCHOS = @KAFFE_ARCHOS@
 KAFFE_CCASFLAGS = @KAFFE_CCASFLAGS@
Index: kaffe/kaffe/kaffevm/intrp/Makefile.in
diff -u kaffe/kaffe/kaffevm/intrp/Makefile.in:1.180 kaffe/kaffe/kaffevm/intrp/Makefile.in:1.181
--- kaffe/kaffe/kaffevm/intrp/Makefile.in:1.180	Sun Nov 11 21:56:40 2007
+++ kaffe/kaffe/kaffevm/intrp/Makefile.in	Sun Dec  9 20:46:58 2007
@@ -45,6 +45,8 @@
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/ac_c_bigendian_cross.m4 \
+	$(top_srcdir)/m4/ac_prog_javac.m4 \
+	$(top_srcdir)/m4/ac_prog_javac_works.m4 \
 	$(top_srcdir)/m4/acx_pthread.m4 $(top_srcdir)/m4/alsa.m4 \
 	$(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
 	$(top_srcdir)/m4/ax_cflags_warn_all.m4 \
@@ -158,7 +160,6 @@
 JAVAC = @JAVAC@
 JAVAC_FLAGS = @JAVAC_FLAGS@
 JAVA_LIBS = @JAVA_LIBS@
-JIKESPROG = @JIKESPROG@
 KAFFEH = @KAFFEH@
 KAFFE_ARCHOS = @KAFFE_ARCHOS@
 KAFFE_CCASFLAGS = @KAFFE_CCASFLAGS@
Index: kaffe/kaffe/kaffevm/jit/Makefile.in
diff -u kaffe/kaffe/kaffevm/jit/Makefile.in:1.190 kaffe/kaffe/kaffevm/jit/Makefile.in:1.191
--- kaffe/kaffe/kaffevm/jit/Makefile.in:1.190	Sun Nov 11 21:56:40 2007
+++ kaffe/kaffe/kaffevm/jit/Makefile.in	Sun Dec  9 20:46:58 2007
@@ -44,6 +44,8 @@
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/ac_c_bigendian_cross.m4 \

*** Patch too long, truncated ***
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.